#ifndef _pybar_h_
#define _pybar_h_

#define PYBAR_PACKET_RECEPTION 1
#define PYBAR_INITEXIT         2

class Pybar : public virtual LOB, public virtual ForwarderIF
{
  friend class Router;

public:
  Pybar(LOBenv*);  
  ~Pybar();  
  int forward(Packet*); 
  int run();

  Packet **iqueue;
  unsigned int iqueue_len;
  volatile unsigned int packets_in_iqueue;
  unsigned int iq_idx_out;
  unsigned int iq_idx_in;

private:

  char *pybar_core_code;
  int debug;
  char *name(){return "pybar";}
};

#endif
