#ifndef _api_routing_h_
#define _api_routing_h_

//>  ROUTE_VRCB
struct ROUTE_VRCB : public VRCB
{
  char command;			//- routing command
};
//< 


//>  ROUTE_RECORD_VRCB
struct ROUTE_RECORD_VRCB : public ROUTE_VRCB
{
  unsigned long  source_ip;	//- source address
				//- NAK=0xffffffff
  unsigned long  source_nm;	//- source netmask

  unsigned long  dest_ip;	//- destination address
				//- NAK=0xffffffff
  unsigned long  dest_nm;	//- destination netmask

  unsigned short proto;		//- protokoll number
				//- NAK = 0xffff 
  unsigned short tos;		//- tos byte value
				//- NAK=0xffff
  unsigned short ifid;		//- interface number
};
//<

//>  ROUTE_RECORD_VRRB
struct ROUTE_RECORD_VRRB : public VRRB
{
  unsigned long  source_ip;	//- source address
				//- NAK=0xffffffff
  unsigned long  source_nm;	//- source netmask

  unsigned long  dest_ip;	//- destination address
				//- NAK=0xffffffff
  unsigned long  dest_nm;	//- destination netmask

  unsigned short proto;		//- protokoll number
				//- NAK = 0xffff 
  unsigned short tos;		//- tos byte value
				//- NAK=0xffff
  unsigned short ifid;		//- interface number
};
//<

//>  ROUTE_RECORD
struct ROUTE_RECORD
{
  unsigned long  source_ip;	//- source address
				//- NAK=0xffffffff
  unsigned long  source_nm;	//- source netmask

  unsigned long  dest_ip;	//- destination address
				//- NAK=0xffffffff
  unsigned long  dest_nm;	//- destination netmask

  unsigned short proto;		//- protokoll number
				//- NAK = 0xffff 
  unsigned short tos;		//- tos byte value
				//- NAK=0xffff
  unsigned short ifid;		//- interface number
};
//<


#endif




