#include <stdlib.h>
#include <string.h>

#include "qcmem.H"
#include "packet.H"

QCmem::QCmem(unsigned short n)
{
  maxpkts=n; 
  packets_stored=0;
  return;
}

QCmem::~QCmem()
{
  return;
}


Packet *QCmem::store(Packet *p)
{
  Packet *np;

  packets_stored++;
  np=(Packet*)malloc(PKT_LENGTH(p));
  memcpy(np,p,PKT_LENGTH(p));
  return np;
}


int QCmem::release(Packet *p)
{
  if(p){
    free(p);
    packets_stored--;
  }
  return 0;
}
