#ifndef _qctbf_H_
#define _qctbf_H_

#include "qco.H"

class QCtbf : public QCO
{
public:
  QCtbf(QCroot*);
  ~QCtbf();
  char *id(){return "token bucket filter";}
  unsigned short int type_id(){return QCTYPEID_TBF;}
  Packet *deque(QCO*);
  Packet *nextdeque(QCO*);
  int enque(Packet *);
  VRRB* APIconfigure(VRCB *);

private:
  unsigned long bucket_overflows;
  unsigned long dehits;
  unsigned long defail;
  unsigned long deempty;
  unsigned long enhits;
  unsigned long enfail;
  unsigned long enempty;
  unsigned long bucket_size;
  unsigned long bucket_level;
  unsigned long bandwidth;
  double burst_time;
  double last_call;
};

#endif


