#ifndef _icmp_h_
#define _icmp_h_

class Packet;
class PSPacket;

struct icmp_header{
  char type;
  char code;
  unsigned short cksum;
  unsigned short id;
  unsigned short sn;
  char data;
};


class ICMP: public virtual ProtocolStack 
{
public:
  ICMP(VR*);
  ~ICMP();
  int process(PSPacket*);
  int ttl_exceeded(Interface *, Packet*);
  int unreachable(Interface *, Packet *, int);
  int unreachable(unsigned long, Packet *, int);


private:
  VR *vr;
  Packet* packet_out;
};



#endif



