#include <stdio.h>


#include "vr.H"
#include "tools.H"
#include "vrevent.H"

VRevent::VRevent()
{
  o=NULL;
  hits=0;
  suspend_time=HUGE_VAL;
  thrown=suspended=type=0;;
  timer_time=0;
  forced=0;
}

VRevent::VRevent(VRschedObj *v)
{
  hits=0;
  o=v;
  suspend_time=HUGE_VAL;
  thrown=suspended=type=0;
  last_call=gettimeasdouble();
  timer_time=0;
  forced=0;
  return;
}

void VRevent::clear()
{
  hits=0;
  suspend_time=HUGE_VAL;
  thrown=suspended=type=0;
  last_call=gettimeasdouble();
  timer_time=0;
  forced=0;
  return;
}


